summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 03:26:17 +0000
committerNathan Egge (unlord) <nathanegge@yahoo.com>2007-08-23 03:26:17 +0000
commit2ef811937ca3580cb2ff01123d5acdb94e30a6dc (patch)
treea76579692ee973dd3a008ba202b88366f09cb7b7 /games-rpg/bs1-demo/bs1-demo-1.ebuild
parentgames-rpg/simon2-demo: New ebuild for bug 142341 (diff)
downloadsunrise-2ef811937ca3580cb2ff01123d5acdb94e30a6dc.tar.gz
sunrise-2ef811937ca3580cb2ff01123d5acdb94e30a6dc.tar.bz2
sunrise-2ef811937ca3580cb2ff01123d5acdb94e30a6dc.zip
games-rpg/bs1-demo: Using official DXA videos, requires >=scummvm-0.10.0
svn path=/sunrise/; revision=4485
Diffstat (limited to 'games-rpg/bs1-demo/bs1-demo-1.ebuild')
-rw-r--r--games-rpg/bs1-demo/bs1-demo-1.ebuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/games-rpg/bs1-demo/bs1-demo-1.ebuild b/games-rpg/bs1-demo/bs1-demo-1.ebuild
index d49915589..17423bd13 100644
--- a/games-rpg/bs1-demo/bs1-demo-1.ebuild
+++ b/games-rpg/bs1-demo/bs1-demo-1.ebuild
@@ -7,7 +7,7 @@ inherit eutils games
DESCRIPTION="Broken Sword 1: The Shadow of the Templars (interactive demo)"
HOMEPAGE="http://www.revolution.co.uk/_display.php?id=14"
SRC_URI="http://gentooexperimental.org/~unlord/bs1-demo.rar
- http://gentooexperimental.org/~unlord/bs1-demo-cutscenes.rar"
+ http://gentooexperimental.org/~unlord/Sword1_Demo_Cutscenes.zip"
LICENSE="freedist"
SLOT="0"
@@ -15,17 +15,18 @@ KEYWORDS="~x86 ~amd64"
IUSE=""
RESTRICT="strip"
-RDEPEND=">=games-engines/scummvm-0.8.2"
+RDEPEND=">=games-engines/scummvm-0.10.0"
DEPEND="|| (
app-arch/unrar
- app-arch/rar )"
+ app-arch/rar )
+ app-arch/unzip"
S=${WORKDIR}
dir=${GAMES_DATADIR}/${PN}
src_install() {
insinto "${dir}"
- doins SWORD_INSTALL/CLUSTERS/*.{CLU,RIF} video/*.{mp2,ogg} || die "doins failed"
+ doins SWORD_INSTALL/CLUSTERS/*.{CLU,RIF} *.{dxa,fla} || die "doins failed"
doins -r SWORD_INSTALL/{MUSIC,SPEECH} || die "doins -r failed"
games_make_wrapper ${PN} "scummvm -f -p \"${dir}\" sword1demo"